Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDataAction

All Superinterfaces:
  IAction

    public interface IDataAction

extends IAction

Data Action is used to generate a URL used to reterive the data from the data base. It has following files:

- getDataType
the output data type, such as csv, xml etc.
- getReportName
the report document name, which is the data soruce.
- getBookmark
the bookmark which define the result set to be exported.

Field Summary
`static int` | `ACTION_DATA` data action, the user can safely type cast this object to IDataAction

Fields inherited from interface org.eclipse.birt.report.engine.api.IAction
`ACTION_BOOKMARK, ACTION_DRILLTHROUGH, ACTION_HYPERLINK`

Method Summary
`java.lang.String` | `getDataType()` the output data type, such as csv, xml.
`InstanceID` | `getInstanceID()` Returns the instance ID of associated report item instance.

Methods inherited from interface org.eclipse.birt.report.engine.api.IAction
`getActionString, getBookmark, getFormat, getParameterBindings, getReportName, getSearchCriteria, getSystemId, getTargetFileType, getTargetWindow, getTooltip, getType, isBookmark`

Field Detail

### ACTION_DATA

    static final int ACTION_DATA

  data action, the user can safely type cast this object to IDataAction

  See Also:
    Constant Field Values

Method Detail

### getDataType

    java.lang.String getDataType()

  the output data type, such as csv, xml. the type should be registered by a IDataExtractionExtension.

  Returns:
    the data type.

### getInstanceID

    InstanceID getInstanceID()

  Returns the instance ID of associated report item instance.

  Returns:
    The instance ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.